dynamic_inventory.py container_mtu bug

Bug #1678165 reported by Bjoern Teipel on 2017-03-31
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
openstack-ansible
High
Jesse Pretorius

Bug Description

While I was adding a new container_mtu setting for one provider network (vxlan), I epexcted that it'll get propagated to the neutron_agents_container. Afterall they are bound to it via the neutron_linuxbridge_agent group. But I noticed that the setting only propagated to the
tunnel_address dict of the compute nodes, as mtu and at the provider_networks.[vxlan] as container_mtu. I had to manually add the mtu item to the neutron_agents container to make it work.

This issue was observed with Newton

    - network:
        container_bridge: "br-vxlan"
        container_type: "veth"
        container_interface: "eth10"
        container_mtu: 9000
        ip_from_q: "tunnel"
        type: "vxlan"
        range: "1:1000"
        net_name: "vxlan"
        group_binds:
          - neutron_linuxbridge_agent

Changed in openstack-ansible:
status: New → Confirmed
importance: Undecided → High
Cam J. Loader (cjloader) on 2017-04-19
Changed in openstack-ansible:
assignee: nobody → Cameron Loader (4-cameron)
Cam J. Loader (cjloader) on 2017-04-24
Changed in openstack-ansible:
assignee: Cameron Loader (4-cameron) → nobody
Changed in openstack-ansible:
assignee: nobody → Andy McCrae (andrew-mccrae)

Fix proposed to branch: master
Review: https://review.openstack.org/494515

Changed in openstack-ansible:
status: Confirmed → In Progress
Changed in openstack-ansible:
assignee: Andy McCrae (andrew-mccrae) → Jesse Pretorius (jesse-pretorius)
Changed in openstack-ansible:
assignee: Jesse Pretorius (jesse-pretorius) → Andy McCrae (andrew-mccrae)
Changed in openstack-ansible:
assignee: Andy McCrae (andrew-mccrae) → Jesse Pretorius (jesse-pretorius)

Reviewed: https://review.openstack.org/494515
Committed: https://git.openstack.org/cgit/openstack/openstack-ansible/commit/?id=850d8f2663fd91c4142b373a5b6c68c9ecb8f25b
Submitter: Zuul
Branch: master

commit 850d8f2663fd91c4142b373a5b6c68c9ecb8f25b
Author: Andy McCrae <email address hidden>
Date: Thu Aug 17 13:20:31 2017 +0100

    Update existing container_networks

    We don't update an existing container_network so once you have settings
    set, they will not be changed, even if you change settings.

    This patch ensures that if the existing container_network does not match
    the current provider_network, it will get updated.

    Closes-Bug: 1678165
    Change-Id: Ia6d91bd6aabf0f9584a83641d5bd990d3f9e404f

Changed in openstack-ansible:
status: In Progress → Fix Released

This issue was fixed in the openstack/openstack-ansible 17.0.0.0b3 development milestone.

Reviewed: https://review.openstack.org/528357
Committed: https://git.openstack.org/cgit/openstack/openstack-ansible/commit/?id=9629a03bf2ceab779ba4f588568bd5e55b28b413
Submitter: Zuul
Branch: stable/pike

commit 9629a03bf2ceab779ba4f588568bd5e55b28b413
Author: Andy McCrae <email address hidden>
Date: Thu Aug 17 13:20:31 2017 +0100

    Update existing container_networks

    Combined backport of:
    - https://review.openstack.org/494515
    - https://review.openstack.org/553726

    We don't update an existing container_network so once you have settings
    set, they will not be changed, even if you change settings.

    This patch ensures that if the existing container_network does not match
    the current provider_network, it will get updated.

    Closes-Bug: 1678165
    Related-Bug: 1756091
    Change-Id: Ia6d91bd6aabf0f9584a83641d5bd990d3f9e404f

tags: added: in-stable-pike

This issue was fixed in the openstack/openstack-ansible 16.0.10 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers